Journal Entries
Retrieve a Journal Entry
Scopes: journal_entry:read
GET
/
v0
/
business
/
{business_id}
/
journal-entries
/
{journal_entry_id}
Retrieve a Journal Entry
curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/journal-entries/{journal_entry_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/journal-entries/{journal_entry_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/journal-entries/{journal_entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"business_id": "<string>",
"description": "<string>",
"clean_description": "HomeDepot purchase",
"datetime": "2023-11-07T05:31:56Z",
"is_reconciled": true,
"id": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
"line_entries": [
{
"ledger_id": "<string>",
"description": "<string>",
"amount": 123,
"id": "<string>",
"journal_entry_id": "<string>",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
"tag_value_ids": [
"<string>"
]
}
],
"categorization_method": "manual",
"invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the business
Example:
"biz_GA6EG2qFxA97NZHtxeLPUy"
The id of the journal entry
Example:
"je_R2fAXCjqJPdpYata112zyW"
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Retrieve a Journal Entry
